io.undertow.server.handlers.proxy.mod_cluster

## Interface NodeHealthChecker

    public interface NodeHealthChecker

Author:
  Emanuel Muckenhuber

### Field Summary

Fields
`static NodeHealthChecker` `NO_CHECK` Receiving a response is a success.
`static NodeHealthChecker` `OK` Check that the response code is 2xx to 3xx.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `checkResponse(ClientResponse response)` Check the response of a health check.

### Field Detail

#### NO_CHECK

    static final NodeHealthChecker NO_CHECK

Receiving a response is a success.

#### OK

    static final NodeHealthChecker OK

Check that the response code is 2xx to 3xx.

### Method Detail

#### checkResponse

    boolean checkResponse(ClientResponse response)

Check the response of a health check.

Parameters:
  `response` - the client response
Returns:
  true if the response from the node is healthy